MCTEST(1)

NAME
mctest - multicast test

SYNOPSIS
mctest [-i interface] [-g group] [-b base port] [-n number] [-s size] [-t inter-packet gap] [-M number of clients (source only)] [-m my client number (sink only)] [-r]

DESCRIPTION
The mctest command implements a multicast test which involves a source and a sink. The source sends packets to a pre-configured multicast address over the interface given as a command line argument. The sink listens for multicast packets, records the time at which they are received and then reflects them back over unicast to the source. When the source has captured all the reflected packets it prints out the round trip time of each.

The source prints out the round trip time of packets sent to the sinks. The sink prints out the time between the packets received.

The options are as follows:

-i interface
    Network interface, which can be found with ifconfig(8).

-g group
    Multicast group.

-b base port
    Port on which to listen.

-s size
    Packet size in bytes.

-n number
    Number of packets.

-t gap
    Inter-packet gap in nanoseconds.

-M clients
    The number of clients that are listening.

-m my number
    The client's number 0, 1, etc.

-r  This version of mctest is the receiver aka the sink. This option MUST only be used with one copy of the program at a time.

EXAMPLES
The following is an example of a typical usage of the mctest command:

Source
    mctest -i em0 -M 1 -s 1024 -n 100 -t 1
Sink
    mctest -i em0 -m 0 -s 1024 -n 100 -r

Send 100 packets of 1024 bytes, with an inter-packet gap of 1 nanosecond.

Gaps are measured with nanosleep(2), and so are not accurate down to nanoseconds but depend on the setting of kern.hz.

SEE ALSO
netstat(1), nanosleep(2), ifconfig(8)

HISTORY
The mctest program first appeared in FreeBSD 7.0.

AUTHORS
This manual page was written by George V. Neville-Neil <gnn@FreeBSD.org>.

BUGS
Should be reported to the author or to <net@FreeBSD.org>.